Questions fréquentes (FAQ)

Poser une question

Quelle est la signification de l'erreur < Incompatible device or Incompatible level > affiché sur un afficheur TMH2GDB lorsqu'il est connecté à un automate M221?


Les afficheurs TMH2GDB avec un firmware SV1.1 (fabriqué avant 2016) ne peuvent pas fonctionner avec tous les niveaux fonctionnels d'un programme de M221.

De plus, le firmware des afficheurs avec SV1.1 ne peut pas être mis à jour.

La solution sera donc issue de l'automate M221 et de son logiciel de programmation SoMachineBasic


Pour corriger l'erreur
< Incompatible device or Incompatible level >, il est nécessaire d'utiliser  SoMachineBasic :

       -> onglet "Programmation"
                  -> petit onglet "Tâches"
                              ->En bas à gauche  sélectionner "Comportement"
                                                            -> dans niveaux fonctionnels choisir la version 3.3 minimum
.

Appliquer puis retransférer le programme dans le M221.

Attention !

Dans le cas de l'utilisation de l'afficheur TMH2GDB en SV1.1, il ne sera pas possible d'utiliser le grafcet natif SoMachine Basic.

Pour pouvoir utiliser le grafcet et un afficheur avec TMH2GDB dans le même programme, ce dernier doit être à la version SV2.0 ou SV3.0.

Depuis 2016 tous les afficheurs sont fabriqués avec SV3.0.


 
Cela vous a-t-il aidé ?
Que pouvons-nous faire pour améliorer l'information ?